/*
 *  IBM VGA device driver
 *
 *  (c) 1998, Yoav Shadmi
 *
 */

extern UBYTE vPage2;
extern int   OldVGAMode;
extern int   InGraphics;
extern int   UseScreen;

int         VGA_VRAMInit          (void);
inline void VGA_ScreenDraw        (void);
void        VGA_ViewScreen        (void);
int         VGA_InstallGraphics   (void);
void        VGA_EnterDebug        (void);
void        VGA_UninstallGraphics (void);
void        VGA_LockDriver        (void);

UBYTE       VRAM_Main_GetB        (CPTR addr);
UWORD       VRAM_Main_GetW        (CPTR addr);
ULONG       VRAM_Main_GetL        (CPTR addr);
void        VRAM_Main_PutB        (CPTR addr, UBYTE in);
void        VRAM_Main_PutW        (CPTR addr, UWORD in);
void        VRAM_Main_PutL        (CPTR addr, ULONG in);
UBYTE       VRAM_Alt_GetB         (CPTR addr);
UWORD       VRAM_Alt_GetW         (CPTR addr);
ULONG       VRAM_Alt_GetL         (CPTR addr);
void        VRAM_Alt_PutB         (CPTR addr, UBYTE in);
void        VRAM_Alt_PutW         (CPTR addr, UWORD in);
void        VRAM_Alt_PutL         (CPTR addr, ULONG in);
